Payins
Get all payins
Retrieves a cursor-paginated list of payins.
GET
/
payins
Get all payins
curl --request GET \
--url https://api.example.com/payinsconst options = {method: 'GET'};
fetch('https://api.example.com/payins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"amount": 100000,
"amountInCents": 10000000,
"confirmedAmount": 100000,
"confirmedAmountInCents": 10000000,
"currency": "COP",
"status": "PENDING",
"settlementStatus": "PENDING_SETTLEMENT",
"rail": "BRE_B",
"reference": "INV-2024-001",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"organizationId": "123e4567-e89b-12d3-a456-426614174000",
"paymentLinkId": "123e4567-e89b-12d3-a456-426614174000",
"inlineCustomer": "John Doe",
"errorCode": null,
"resultAt": "2024-01-01T00:00:00.000Z",
"chargebackAt": "2024-01-01T00:00:00.000Z",
"sourceData": {
"pseUrl": "<string>",
"bank": "<string>"
},
"callbackUrl": "https://example.com/callback"
}
],
"pageInfo": {
"hasNext": true,
"hasPrevious": false,
"nextCursor": "eyJjcmVhdGVkQXQiOiIyMDI2LTAzLTEzVDEyOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItMTJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9",
"previousCursor": "eyJjcmVhdGVkQXQiOiIyMDI2LTAzLTEzVDEyOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItMTJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9"
}
}Query Parameters
Opaque cursor for the target page
Example:
"eyJjcmVhdGVkQXQiOiIyMDI2LTAzLTEzVDEyOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItMTJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9"
Number of items per page
Required range:
1 <= x <= 100Example:
10
⌘I
Get all payins
curl --request GET \
--url https://api.example.com/payinsconst options = {method: 'GET'};
fetch('https://api.example.com/payins', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"amount": 100000,
"amountInCents": 10000000,
"confirmedAmount": 100000,
"confirmedAmountInCents": 10000000,
"currency": "COP",
"status": "PENDING",
"settlementStatus": "PENDING_SETTLEMENT",
"rail": "BRE_B",
"reference": "INV-2024-001",
"createdAt": "2024-01-01T00:00:00.000Z",
"updatedAt": "2024-01-01T00:00:00.000Z",
"organizationId": "123e4567-e89b-12d3-a456-426614174000",
"paymentLinkId": "123e4567-e89b-12d3-a456-426614174000",
"inlineCustomer": "John Doe",
"errorCode": null,
"resultAt": "2024-01-01T00:00:00.000Z",
"chargebackAt": "2024-01-01T00:00:00.000Z",
"sourceData": {
"pseUrl": "<string>",
"bank": "<string>"
},
"callbackUrl": "https://example.com/callback"
}
],
"pageInfo": {
"hasNext": true,
"hasPrevious": false,
"nextCursor": "eyJjcmVhdGVkQXQiOiIyMDI2LTAzLTEzVDEyOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItMTJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9",
"previousCursor": "eyJjcmVhdGVkQXQiOiIyMDI2LTAzLTEzVDEyOjAwOjAwLjAwMFoiLCJpZCI6IjEyM2U0NTY3LWU4OWItMTJkMy1hNDU2LTQyNjYxNDE3NDAwMCJ9"
}
}
